Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.calendars.get_conference_calls(date_from=date.fromisoformat("2024-01-15"), date_to=date.fromisoformat("2024-01-19"), tickers="AAPL,MSFT,GOOGL", page=0, page_size=100)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.calendars.getConferenceCalls({
dateFrom: new Date("2024-01-15"),
dateTo: new Date("2024-01-19"),
tickers: "AAPL,MSFT,GOOGL",
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/calendars/conference-calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/calendars/conference-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/calendars/conference-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/calendars/conference-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/calendars/conference-calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/calendars/conference-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conferenceCalls": [
{
"accessCode": "987654",
"date": "2024-01-16",
"exchange": "NASDAQ",
"id": "123456",
"importance": 5,
"internationalNum": "+1-212-123-4567",
"name": "Apple Inc.",
"notes": "Q1 FY2024 Earnings Call",
"phoneNum": "1-800-123-4567",
"reservationNum": "",
"startTime": "5:00 PM ET",
"ticker": "AAPL",
"time": "17:00:00",
"updated": 1705401600,
"webcastUrl": "https://investor.apple.com/earnings"
}
]
}
Calendar
Conference Calls
Retrieve scheduled earnings conference call times, dial-in information, and webcast links for publicly traded companies. Access management commentary and Q&A sessions that provide deeper insights beyond earnings press releases.
Use Case: Notify investors when companies in their watchlist have upcoming earnings calls with direct webcast links.
GET
/
v1
/
calendars
/
conference-calls
Python (SDK)
from datetime import date
from finance_dev import FinanceDev, models
with FinanceDev(
security=models.Security(
client_id="<YOUR_CLIENT_ID_HERE>",
client_secret="<YOUR_CLIENT_SECRET_HERE>",
),
) as fd_client:
res = fd_client.calendars.get_conference_calls(date_from=date.fromisoformat("2024-01-15"), date_to=date.fromisoformat("2024-01-19"), tickers="AAPL,MSFT,GOOGL", page=0, page_size=100)
while res is not None:
# Handle items
res = res.next()import { FinanceDev } from "@ariesdotcom/finance-dev";
const financeDev = new FinanceDev({
security: {
clientID: "<YOUR_CLIENT_ID_HERE>",
clientSecret: "<YOUR_CLIENT_SECRET_HERE>",
},
});
async function run() {
const result = await financeDev.calendars.getConferenceCalls({
dateFrom: new Date("2024-01-15"),
dateTo: new Date("2024-01-19"),
tickers: "AAPL,MSFT,GOOGL",
});
for await (const page of result) {
console.log(page);
}
}
run();curl --request GET \
--url https://api.aries.com/v1/calendars/conference-calls \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/calendars/conference-calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aries.com/v1/calendars/conference-calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.aries.com/v1/calendars/conference-calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.aries.com/v1/calendars/conference-calls")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aries.com/v1/calendars/conference-calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"conferenceCalls": [
{
"accessCode": "987654",
"date": "2024-01-16",
"exchange": "NASDAQ",
"id": "123456",
"importance": 5,
"internationalNum": "+1-212-123-4567",
"name": "Apple Inc.",
"notes": "Q1 FY2024 Earnings Call",
"phoneNum": "1-800-123-4567",
"reservationNum": "",
"startTime": "5:00 PM ET",
"ticker": "AAPL",
"time": "17:00:00",
"updated": 1705401600,
"webcastUrl": "https://investor.apple.com/earnings"
}
]
}
Authorizations
Query Parameters
Zero-based page number (default: 0). page × pageSize must be less than 100,000; otherwise the API returns HTTP 400 with error code PAGINATION_LIMIT_EXCEEDED. To retrieve larger histories, narrow dateFrom and dateTo and restart at page 0 for each date window.
Required range:
x >= 0Example:
0
Was this page helpful?